ONVIF::PTZ::Types::ReceiverCapabilities(3)

NAME
ONVIF::PTZ::Types::ReceiverCapabilities

DESCRIPTION
Perl data type class for the XML Schema defined complexType ReceiverCapabilities from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   XAddr

•   RTP_Multicast

•   RTP_TCP

•   RTP_RTSP_TCP

•   SupportedReceivers

•   MaximumRTSPURILength

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::ReceiverCapabilities
   XAddr =>  $some_value, # anyURI
   RTP_Multicast =>  $some_value, # boolean
   RTP_TCP =>  $some_value, # boolean
   RTP_RTSP_TCP =>  $some_value, # boolean
   SupportedReceivers =>  $some_value, # int
   MaximumRTSPURILength =>  $some_value, # int
 },

AUTHOR
Generated by SOAP::WSDL